import service from './newRequest.js'
import store from '../store';
import {
	saveUrl,
	interceptor
} from '@/utils/loginUtils.js';
// 请求完成后拦截
service.interceptors.response(
	response => {
		try {
			let res = response.data;
			// 解析字符串为数字
			if (res.code !== 200) {
				if (res.code == 400&&res.msg=='请登录') {
					// 存储当前地址
					saveUrl()
					// 调用退出登录方法清空用户信息
					store.commit('logout');
					// 判断是否开启强制登录
					uni.showModal({
						title: "您未登录！是否马上登录？",
						success: (e) => {
							if (e.confirm) {
								// 保存当前页面地址
								// 跳转页面
								interceptor()
							}
						}
					})
				} else {
					if(res.msg!='系统出现异常'){
						// 判断是否为地址配送问题
						if(res.msg!='请选择配送地址'){
							uni.showToast({
								title: res.msg,
								duration: 1500,
								mask: false,
								icon: 'none',
							})
						}
					}
					
				}
				return Promise.reject(new Error(res.msg || 'Error'))
			} else {
				return res
			}
		} catch (e) {
			console.log(e);
		}
	},
	error => {
		uni.showToast({
			title: "加载错误请重试",
			duration: 1500,
			mask: false,
			icon: 'none',
		})
		return Promise.reject(error)
	}
)
//时间戳转换成时间
export function getTime(time) {
	   var date=new Date(parseInt(time)* 1000);
	   var year=date.getFullYear();
	   var mon = date.getMonth()+1;
	   var day = date.getDate();
	   var hours = date.getHours();
	   var minu = date.getMinutes();
	   var sec = date.getSeconds();
	   return year+'-'+mon+'-'+day+' '+hours+':'+minu+':'+sec;
}
// 请求前拦截器
service.interceptors.request(
	config => {
		let token = uni.getStorageSync('token');
		let address = uni.getStorageSync('addressData')||''
		if (!config.header) {
			config.header = {
					"Authori-zation": 'Bearer ' + token,
			}
		} else {
			// 添加key请求头
			config.header["Authori-zation"] = 'Bearer ' + token;
			
		}
		return config
	},
	error => {
		// 错误处理
		console.log(error)
		return Promise.reject(error)
	}
)
let upFilse = service.upFilse;
export {
	upFilse
};
export default service.open;
